# vim: set ft=spec: -*- rpm-spec -*-

%define plugname exception_notification

Name: rails-plugin-exception_notification
Version: 0.git.16.ge8b603e
Release: alt1

Summary: Exception Notifier Plugin for Rails
License: MIT
Group: Development/Ruby
Url: http://rubyforge.org/projects/exception_notification/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %plugname-%version.tar
Patch: %plugname-%version-%release.patch

PreReq: ruby-railties >= 2.1.0-alt2

# Automatically added by buildreq on Sat Oct 17 2009 (-bi)
BuildRequires: rpm-build-ruby ruby-activesupport ruby-tool-setup

%description
The Exception Notifier plugin provides a mailer object and a default
set of templates for sending email notifications when errors occur
in a Rails application.

%prep
%setup -q -n %plugname-%version
%patch -p1
%update_setup_rb

%build
%ruby_config --rbdir=%_datadir/rails/plugins/%plugname/lib
%ruby_build
pushd test
%ruby_vendor exception_notifier_helper_test.rb
popd

%install
mkdir -p %buildroot%_datadir/rails/plugins/%plugname
%ruby_install
install -p -m644 init.rb %buildroot%_datadir/rails/plugins/%plugname/
cp -va views/ %buildroot%_datadir/rails/plugins/%plugname/

%files
%doc README
%_datadir/rails/plugins/%plugname

%changelog
* Sat Oct 17 2009 Alexey I. Froloff <raorn@altlinux.org> 0.git.16.ge8b603e-alt1
- Built for Sisyphus

